+++
title = "Premier anniversaire"
template = "page.html"
date = 2021-04-25
[taxonomies]
tags = ["retour d’expérience", "anniversaire"]
[extra]
summary = ""
+++

Ça y est, ça fait un an que nous sommes en ligne. Il y a environ un an, le petit VPS que nous avons loué chez Hetzner démarrait et avec lui, notre aventure. Cela faisait quelques mois que nous parlions de mutualiser des services, [Hamano](https://social.lacoloc.cafe/Hamano) et moi. De mon côté, je m’auto-hébergeais déjà depuis quelques années sur un VPS, avec un nom de domaine personnel, je connaissais Yunohost, et je trouvais dommage d’être la seule à profiter de mes compétences. Nous avons pris notre courage en main, brainstormé un nom chaleureux, réparti les tâches. Je m’occupais de mettre en place tout l’environnement informatique nécessaire, Hamano réalisait le graphisme. En quelques semaines, nous étions en ligne avec une identité graphique complète sur notre instance Pleroma, notre façade sociale la plus importante. On a même sorti des [emojos personnalisés](https://labo.lacoloc.cafe/june?tab=&sort=recentupdate&q=blob) !

Rétrospectivement, un an plus tard, voici les quelques leçons que j’ai retenu :
* garder le wiki à jour dés la moindre modification. Ce que je n’ai absolument pas fait et maintenant, le wiki est un vrai désert.
* penser le plus économe possible. Ça peut paraître bête à dire mais on a hésité entre un domaine en .eu.org (gratuit) et .cafe (payant), sachant que ça serait une de nos seules dépenses. Un an plus tard, j’ai mis en place [DNS Witch](https://dns-witch.net.eu.org) et je regrette de payer un nom de domaine alors que je pourrais le gérer gratuitement.
* avant de recommander un client à une personne lambda, le tester plusieurs semaines. Quand j’ai voulu utiliser mon adresse mail sur mon portable, je suis allée voir du côté des clients FOSS de F-Droid, j’ai découvert FairEmail. J’ai d’abord trouvé FairEmail plus moderne que K9Mail et j’ai commencé à l’utiliser, en le documentant sur le wiki comme solution de base. Un an plus tard, je suis retournée sur K9Mail.
* définir le canal de discussion des colocataires sur une solution interne, facile à utiliser. On a commencé sur une application de messagerie tierce et aujourd’hui, une bonne partie des colocataires qui nous ont rejoints ne sont pas dessus. Ce qui fait que je dois m’incruster dans leurs messages directs Pleroma.
* organiser le support utilisateur. Ça peut paraître bête, mais en me lançant dans ce projet, je sous-estimais les difficultés que nous pourrions rencontrées et avec elle, le chaos communicationnel. Il m’est arrivé de recevoir des messages à des moments inattendus pour me dire que tel ou tel service avait un problème, de ne pas comprendre si c’est une urgence ou pas. Parfois, je n’étais tout simplement pas disponible, ce qui peut aussi compliquer les choses. Je pense que dés le départ, nous aurions dû établir des règles claires pour savoir quand, où et comment communiquer à propos de l’état du service. Un système de tickets aurait vraiment été abusé mais par exemple une syntaxe à suivre, un salon de discussion dédié, etc.

Pour l’année à venir, on devrait passer sur un serveur physique, hébergé chez l’un·l’une de nous. Nous allons peut-être passer sur un nom de domaine .eu.org, pour les raisons soulevées précédemment. Une fois que tout cela sera fait, nos données seront à la maison et contrôlées par nous de bout-en-bout.

Je concluerai cet anniversaire en espérant que ce modèle se popularisera dans l’avenir, que des bandes de potes s’organiseront pour reprendre le contrôle deleurs données. Merci à [Yunohost](https://yunohost.org) d’avoir rendu ça possible.

Bon anniversaire à nous,

[June](https://social.lacoloc.cafe/June)
